package service

import (
	"sws_xcx/models"

	"github.com/jinzhu/gorm"
)

type CheckItemService struct {
	rdb *gorm.DB
}

func NewCheckItemService() *CheckItemService {
	return &CheckItemService{
		rdb: ReadDB().Model(&models.CheckItem{}),
	}
}

func (s *CheckItemService) GetCheckItems(lang, t string) ([]*models.CheckItem, error) {
	var items []*models.CheckItem
	db := s.rdb.Where("language = ? and delete_flag = ?", lang, 0)
	if t != "" {
		db = db.Where("check_type = ?", t)
	}
	err := db.Order("check_item_number").Find(&items).Error
	return items, err
}
